Neuer PC und Fanmissionen

  • ich möchte mich folgenden Fragen an euch wenden


    ich habe einen neuen StandPC gekauft und bräuchte jetzt bitte ein Paar Infos hinsichtlcih des Spielens von Fannmissionen


    dass ich das Dieb 1+2Originalspiel aufspielen muss, ist selbst mir klar. aber welche patches braucht es dann für das jeweilige Spiel und welches Programm für das Spielen von FM empfehlt ihr denn. gibt ja da mehrere oder?

  • Installier das Spiel doch einfach mit dem Tafferpatcher. Da hast du alles dabei. Und was das Programm zum Spielen der FMs angeht: das hängt von deinen persönlichen Vorlieben ab. Ich benutze heute noch den Darkloader und hatte damit auch nie Probleme, auch wenn ein gewisser Jemand dir da sicherlich was anderes sagen wird. :D

  • Ich bin auch für eine durch Tafferpatcher "aufgemotzte" Version. Je nachdem, woher man sein Thief-Original bekommt, kann es sein, dass man direkt mit Tafferpatcher installieren kann, oder aber erst die "normale" Installation des Originalspiels machen muss und dann erst Tafferpatcher diese Installation verbessern lassen kann. Außerdem kann man mit dem Tafferpatcher auch recht komfortabel die gängigen Erweiterungen (verbesserte Wasserdarstellung usw.) installieren oder wieder "abwählen". Für TFix (für Thief 1/Thief 1 Gold) gilt Ähnliches wie für Tafferpatcher.


    Gelegentlich wird mal von Problemen mit veralteten gen.osm-Dateien oder veralteten/fehlenden Skripten (scripts) geschrieben. Da kenne ich den aktuellen Stand nicht.


    Von Darkloader würde ich eher abraten, auch wenn ich vermutlich nicht der erwähnte "Jemand" bin. ;) Es gibt einige neue FM-Kampagnen, die den Darkloader überfordern, so dass er sie nicht mehr installiert kriegt. Ferner kann es Probleme mit der Sprache geben, in der man die FM spielen will, das schafft der Darkloader bei neueren NewDark-Installationen manchmal nicht mehr. Außerdem kann ich zwar nicht bestätigen, dass der Darkloader sehr instabil ist, aber wenn mal was beim Installieren einer Mission schief geht, hat man danach umfangreiche Aufräumarbeiten vor sich. Und zu schlechter Letzt erstellt der DarkLoader seine FM-Liste sowie die Archive mit den gespeicherten Spielständen in einem anderen Format als FM-Selektor und NewDarkLoader, so dass ein Wechsel nicht ganz einfach ist. Da DarkLoader auch schon lange nicht mehr weiterentwickelt wird, ist er eigentlich nur für alte Thief-Installationen vor der NewDark-Ära noch so richtig sinnvoll, für NewDark IMHO eher nicht.


    FM-Selektor ist vielleicht etwas umständlich zu bedienen, und verführt auch dazu, Missionen zu spielen, ohne mal einen Blick auf deren Info-Datei geworfen zu haben. Ansonsten habe ich mit ihm aber inzwischen meinen Frieden geschlossen, und er hat sich wohl auch zum neuen Standard der FM-Ladeprogramme entwickelt.


    Und dann gibt es noch den NewDarkLoader von R. Soul. Ich habe schon mal mit früheren Versionen davon einiges gemacht, und der scheint in der Regel ganz gut zu funktionieren. Die Entwicklung scheint aber noch nicht ganz abgeschlossen zu sein. Brauchbar ist er aber, und er ist sehr leicht gegen FM-Selektor auszutauschen oder umgekehrt; z.B. lassen sich die Archive mit den gespeicherten Spielständen jeweils mit beiden verwenden.


    An älteren FM-Ladern kenne ich ansonsten nur noch den GarrettLoader. Der ist schon ewig nicht mehr "gewartet" worden und soll mit NewDark z.T. erhebliche Probleme haben, außerdem gibt es für den letzten Patch dieses Laders vermutlich keine gültige Download-Adresse mehr. Ich kann nur davon abraten, heutzutage für Thief 1 oder Thief 2 noch diesen alten Lader einzusetzen.


    Weitere FM-Lader für Thief 1/Thief 2, die heute noch aktuell sind und das "Prototypen-Stadium" verlassen haben, kenne ich nicht.


    Ich persönlich verwende fast nur noch FM-Selektor und würde eher für diesen oder NewDarkLoader plädieren. Und nun ziehe ich mich zurück und lasse Radogal gemeinerweise ganz allein mit der schweren Entscheidung. :P

  • Huhuuu....


    spiel installieren... ich musste damals noch den Thief Patch drüber hauen aber ich glaube das ist mit dem Tafferpatcher auch vergangenheit und los gehts!^^


    P.S. Bi au no ein DarkLoader fan! liegt aber wohl daran das ich nie was anderes benutzt habe und bis auf vielleicht 3 Fälle immer gut zurecht kam damit!^^

  • so hatte jetzt doch einiges beruflich zu tun, daher kann ich mich erst jetzt wieder dem ganzen widmen


    ihr meint ich soll mit tafferbatcher das Spiel installieren. nur wenn ich in google tafferbatcher eingebe kommt eine Unmenege an ergebnissen


    was würdet ihr zu diesem download sagen ?


  • habe diesen heruntergeladen und mit der Installation begonnen. bei dem Fenster , wo mandas Häkchen setzen muss, damit Thief 2 mitinstalliert wird ,kommt es zum Problem. wenn ich das LW auswähle in dem die CD1 für die Installtion liegt, kommt folgende Fehlermeldung


    eien falsche CD ist eingelegt oder das Format dieser Distribution wird nicht unterstützt. die Installation wird abgebrochen ?(?(?(?(?(?(

  • Sowas kommt vor. Wie die Meldung schon aussagt, erkennt der TafferPatcher diese Version von "Thief 2" nicht. Dann muss man anders vorgehen.


    Man installiert dann "Thief 2" ganz normal ohne den Tafferpatcher. Anschließend startet man den Tafferpatcher und teilt ihm irgendwann während der Installation auf seine Nachfrage hin mit, wo die installierte "Thief 2"-Version auf der Festplatte ist. Ich weiß nicht mehr auswendig, wann im Installationsprozess das genau war, da ich schon länger nicht mehr neu installieren musste, aber an sich sollten die Texte bei der Installation das recht deutlich machen. Und das Häkchen für's Mitinstallieren von "Thief 2" setzt man diesmal natürlich nicht.


    Danach sollte der Tafferpatcher evtl. noch ein paar andere Fragen stellen, um schließlich normal "durchzulaufen". Das Ergebnis müsste eigentlich ein recht gut eingestelltes "Thief 2" mit NewDark sein.

  • so danke das hat jetzt zumindest einmal geklappt.


    ich habe jetzt thief 2 sowie thief2 final 1.25 FMSEL1:1:2 nur wenn ich jetzt eine FM in meinem Fall precarious business spielen möchte bekomme ich bei fmsel folgene Mledung


    also zunächst fordert es einen Pfad und wenn ic hdann beim kleinen Zahnrad für dei Einstellungen auf F MArchive Path gehe , öffnet sic hzwar der Ordner in dem die beiden FM drinnen liegen. wenn ci hdann die oben besagte auswähle und auf öffnen gehe dann schreibt fmsel the archive path may not be inside the FM path or vie versa


    was mache ich hier falsch?

  • Der Ordner, in dem die Missionen liegen, darf sich nicht innerhalb des Ordners "FMs" befinden. Umgekehrt darf auch "FMs" nicht in einem Ordner liegen, in dem die Missionen abgelegt sind.


    Dieser Ordner "FMs" befindet sich nach der Installation von NewDark mit Tafferpatcher normalerweise im Verzeichnis von "Thief 2". Der Ordner wiederum, in dem die Missions-Archive (und auch die gespeicherten Spielstände mit der Dateiendung .fmselbak.zip) drin sind, darf nicht innerhalb dieses Ordners "FMs" drin liegen. Verschiebe die Missionen und Spielstände in einen anderen Ordner außerhalb von "FMs" und wähle dann diesen neuen Ordner an, wenn FM-Selektor wieder nach dem "FM Archive path" fragt. Dann sollte es funktionieren.